Debian Bug report logs - #381509
metacity: Please apply the double-click-menu-button-to-close patch

version graph

Package: metacity; Maintainer for metacity is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for metacity is src:metacity.

Reported by: Adalbert Dawid <dawid@rinux.net>

Date: Fri, 4 Aug 2006 23:03:10 UTC

Severity: wishlist

Tags: patch

Found in version metacity/1:2.14.5-1

Forwarded to http://bugzilla.gnome.org/show_bug.cgi?id=83892

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Akira TAGOH <tagoh@debian.org>:
Bug#381509; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to Adalbert Dawid <dawid@rinux.net>:
New Bug report received and forwarded. Copy sent to Akira TAGOH <tagoh@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adalbert Dawid <dawid@rinux.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: metacity: Please apply the double-click-menu-button-to-close patch
Date: Sat, 05 Aug 2006 01:01:59 +0200
Package: metacity
Version: 1:2.14.5-1
Severity: wishlist
Tags: patch

Many people wish to be able to double click the menu button (which is by
default on the upper left) in order to close a window. See the discussion at
http://bugzilla.gnome.org/show_bug.cgi?id=83892

There Thomas Thurman provides a small patch, which *just works* (I just
tested it). You can grab the patch from
http://bugzilla.gnome.org/attachment.cgi?id=67516&action=view

The gnome devs find the patch ok, but nevertheless they decided not to
include it by default, unless many distros will be applying it.

Comment from Elijah Newren  (metacity developer):
"I think Thomas' patch is great, as it will allow us to point people to
it if they are really adamant if they want it. I'm assuming it'll be a small
minority. But if by chance it actually gets picked up and widely distributed
and appears in most of the distros (which has happened in similar cases with
other patches in the past, but is really unlikely and rare but is a great
way of demonstrating that we perhaps made the wrong decision about a feature)
then we can start having a discussion about whether we should reconsider
whether to include it."

So I ask you to apply this patch in debian, so our distro will be one of
the "pioneers" wrt applying the patch. I think many people will say: "Gee,
in debian's metacity one can double click the menu button in order to close
the window. That distro is really cool! They care about their users!"

If someone really doesn't want that feature, he still has the option to
leave it disabled, as there is an appropriate gconf option for turning
it on and off.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-2-k7
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)

Versions of packages metacity depends on:
ii  libatk1.0-0                  1.12.1-1    The ATK accessibility toolkit
ii  libc6                        2.3.6-15    GNU C Library: Shared libraries
ii  libgconf2-4                  2.14.0-1    GNOME configuration database syste
ii  libglib2.0-0                 2.10.3-3    The GLib library of C routines
ii  libgtk2.0-0                  2.8.18-1    The GTK+ graphical user interface 
ii  libice6                      1:1.0.0-3   X11 Inter-Client Exchange library
ii  libmetacity0                 1:2.14.5-1  library of lightweight GTK2 based 
ii  libpango1.0-0                1.12.3-1+b1 Layout and rendering of internatio
ii  libsm6                       1:1.0.0-4   X11 Session Management library
ii  libstartup-notification0     0.8-1       library for program launch feedbac
ii  libx11-6                     2:1.0.0-7   X11 client-side library
ii  libxcursor1                  1.1.5.2-5   X cursor management library
ii  libxext6                     1:1.0.0-4   X11 miscellaneous extension librar
ii  libxinerama1                 1:1.0.1-4   X11 Xinerama extension library
ii  libxrandr2                   2:1.1.0.2-4 X11 RandR extension library
ii  libxrender1                  1:0.9.0.2-4 X Rendering Extension client libra
ii  metacity-common              1:2.14.5-1  Shared files of lightweight GTK2 b

metacity recommends no packages.

-- no debconf information





Information forwarded to debian-bugs-dist@lists.debian.org, Akira TAGOH <tagoh@debian.org>:
Bug#381509; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to 381509@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Akira TAGOH <tagoh@debian.org>. Full text and rfc822 format available.

Message #10 received at 381509@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Adalbert Dawid <dawid@rinux.net>, 381509@bugs.debian.org
Subject: Re: Bug#381509: metacity: Please apply the double-click-menu-button-to-close patch
Date: Sat, 05 Aug 2006 03:29:44 +0200
[Message part 1 (text/plain, inline)]
Le samedi 05 août 2006 à 01:01 +0200, Adalbert Dawid a écrit :
> Package: metacity
> Version: 1:2.14.5-1
> Severity: wishlist
> Tags: patch
> 
> Many people wish to be able to double click the menu button (which is by
> default on the upper left) in order to close a window. See the discussion at
> http://bugzilla.gnome.org/show_bug.cgi?id=83892
> 
> There Thomas Thurman provides a small patch, which *just works* (I just
> tested it). You can grab the patch from
> http://bugzilla.gnome.org/attachment.cgi?id=67516&action=view

The patch is harmless as the so-called "feature" is disabled by default.
However there isn't even a schema for the GConf key. I don't think it is
appropriate to use a key that doesn't have a schema.
-- 
 .''`.           Josselin Mouette        /\./\
: :' :           josselin.mouette@ens-lyon.org
`. `'                        joss@debian.org
  `-  Debian GNU/Linux -- The power of freedom
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Akira TAGOH <tagoh@debian.org>:
Bug#381509; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to Adalbert Dawid <dawid@rinux.net>:
Extra info received and forwarded to list. Copy sent to Akira TAGOH <tagoh@debian.org>. Full text and rfc822 format available.

Message #15 received at 381509@bugs.debian.org (full text, mbox):

From: Adalbert Dawid <dawid@rinux.net>
To: 381509@bugs.debian.org
Subject: Re: Bug#381509: metacity: Please apply the double-click-menu-button-to-close patch
Date: Sat, 05 Aug 2006 15:02:04 +0200
Am Samstag, den 05.08.2006, 03:29 +0200 schrieb Josselin Mouette: 
> The patch is harmless as the so-called "feature" is disabled by default.
> However there isn't even a schema for the GConf key. I don't think it is
> appropriate to use a key that doesn't have a schema.

I added an appropriate schema to the source of metacity (version
2.14.5-1 from etch). The patch is appended below. As I'm not a gnome
developer nor a debian developer (not even a C programmer), I'm not sure
whether you will like this patch or not. But at least, it provides the
needed schema and works for me (when applied in connection with Thomas
Thurman's patch).
If you don't like the patch for any reason, please give me an advice
what should be done better.

Adalbert


diff -rup src.orig/metacity.schemas src/metacity.schemas
--- src.orig/metacity.schemas   2006-08-05 14:43:04.000000000 +0200
+++ src/metacity.schemas        2006-08-05 14:44:24.000000000 +0200
@@ -9,6 +9,20 @@
     <!-- General preferences -->

     <schema>
+      <key>/schemas/apps/metacity/general/close_on_double_click_menu</key>
+      <applyto>/apps/metacity/general/close_on_double_click_menu</applyto>
+      <owner>metacity</owner>
+      <type>bool</type>
+      <default>false</default>
+      <locale name="C">
+         <short>Enables double clicking the menu button to close a window</short>
+         <long>
+           Double clicking on a window's menu button will close the window.
+         </long>
+      </locale>
+    </schema>
+
+    <schema>
       <key>/schemas/apps/metacity/general/mouse_button_modifier</key>
       <applyto>/apps/metacity/general/mouse_button_modifier</applyto>
       <owner>metacity</owner>
diff -rup src.orig/metacity.schemas.in src/metacity.schemas.in
--- src.orig/metacity.schemas.in        2006-08-05 14:43:04.000000000 +0200
+++ src/metacity.schemas.in     2006-08-05 14:43:38.000000000 +0200
@@ -9,6 +9,20 @@
     <!-- General preferences -->

     <schema>
+      <key>/schemas/apps/metacity/general/close_on_double_click_menu</key>
+      <applyto>/apps/metacity/general/close_on_double_click_menu</applyto>
+      <owner>metacity</owner>
+      <type>bool</type>
+      <default>false</default>
+      <locale name="C">
+         <short>Enables double clicking the menu button to close a window</short>
+         <long>
+           Double clicking on a window's menu button will close the window.
+         </long>
+      </locale>
+    </schema>
+
+    <schema>
       <key>/schemas/apps/metacity/general/mouse_button_modifier</key>
       <applyto>/apps/metacity/general/mouse_button_modifier</applyto>
       <owner>metacity</owner>




Information forwarded to debian-bugs-dist@lists.debian.org, Akira TAGOH <tagoh@debian.org>:
Bug#381509; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to "Thomas Thurman" <thomas@thurman.org.uk>:
Extra info received and forwarded to list. Copy sent to Akira TAGOH <tagoh@debian.org>. Full text and rfc822 format available.

Message #20 received at 381509@bugs.debian.org (full text, mbox):

From: "Thomas Thurman" <thomas@thurman.org.uk>
To: 381509@bugs.debian.org
Date: Sun, 6 Aug 2006 14:04:16 -0400
[Message part 1 (text/plain, inline)]
I'm Thomas Thurman, the developer who wrote the original patch. The schema
patch looks good to me: Adalbert, would you mind also attaching it to gnome
bug 83892?

Incidentally, I was wondering whether you wanted it to default to true or
false in Debian. (Defaulting it to false upstream seems like the best idea.)
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Akira TAGOH <tagoh@debian.org>:
Bug#381509; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to Adalbert Dawid <dawid78@web.de>:
Extra info received and forwarded to list. Copy sent to Akira TAGOH <tagoh@debian.org>. Full text and rfc822 format available.

Message #25 received at 381509@bugs.debian.org (full text, mbox):

From: Adalbert Dawid <dawid78@web.de>
To: 381509@bugs.debian.org
Date: Mon, 07 Aug 2006 01:18:31 +0200
> I'm Thomas Thurman, the developer who wrote the original patch. The schema
> patch looks good to me: Adalbert, would you mind also attaching it to gnome
> bug 83892?

Done.

> Incidentally, I was wondering whether you wanted it to default to true or
> false in Debian.

I don't want to make anyone upset (as it seems to me, there are pretty
many people having strong objections against the feature), nor do I want
anyone to lose his data by accidently double-clicking the menu button
(which I find very improbable, but that's another story...). So I'd
rather turn it off by default.

> (Defaulting it to false upstream seems like the best idea.)

I don't understand quiet. Most developers commenting on gnome bug #83892
seem not to want the patch to be included upstream.

Adalbert




Information forwarded to debian-bugs-dist@lists.debian.org, Akira TAGOH <tagoh@debian.org>:
Bug#381509; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to "Thomas Thurman" <thomas@thurman.org.uk>:
Extra info received and forwarded to list. Copy sent to Akira TAGOH <tagoh@debian.org>. Full text and rfc822 format available.

Message #30 received at 381509@bugs.debian.org (full text, mbox):

From: "Thomas Thurman" <thomas@thurman.org.uk>
To: 381509@bugs.debian.org
Date: Wed, 9 Aug 2006 14:25:47 -0400
[Message part 1 (text/plain, inline)]
There is a consensus on gnome bug #83892 that this isn't something they want
to turn on. That's why I gave it a GConf entry so it would default to off.
But Elijah says it shouldn't have a GConf entry at all: it should either be
included and always on, or not included.

If the Debian people would like me to rewrite it in these terms, I'm happy
to do so.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Akira TAGOH <tagoh@debian.org>:
Bug#381509; Package metacity. Full text and rfc822 format available.

Acknowledgement sent to 381509@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Akira TAGOH <tagoh@debian.org>. Full text and rfc822 format available.

Message #35 received at 381509@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Thomas Thurman <thomas@thurman.org.uk>, 381509@bugs.debian.org
Subject: Re: Bug#381509:
Date: Wed, 09 Aug 2006 21:07:50 +0200
[Message part 1 (text/plain, inline)]
Le mercredi 09 août 2006 à 14:25 -0400, Thomas Thurman a écrit :
> There is a consensus on gnome bug #83892 that this isn't something
> they want to turn on. That's why I gave it a GConf entry so it would
> default to off. But Elijah says it shouldn't have a GConf entry at
> all: it should either be included and always on, or not included. 
> 
> If the Debian people would like me to rewrite it in these terms, I'm
> happy to do so.

I'm all against including such a patch if this is the default behavior.
It is already too easy to close a window by mistake.
-- 
 .''`.           Josselin Mouette        /\./\
: :' :           josselin.mouette@ens-lyon.org
`. `'                        joss@debian.org
  `-  Debian GNU/Linux -- The power of freedom
[signature.asc (application/pgp-signature, inline)]

Noted your statement that Bug has been forwarded to http://bugzilla.gnome.org/show_bug.cgi?id=83892. Request was from Sven Arvidsson <sa@whiz.se> to control@bugs.debian.org. (Tue, 21 Aug 2007 15:36:01 GMT) Full text and rfc822 format available.

Tags added: fixed-upstream Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Tue, 21 Aug 2007 19:51:10 GMT) Full text and rfc822 format available.

Tags removed: fixed-upstream Request was from Sven Arvidsson <sa@whiz.se> to control@bugs.debian.org. (Mon, 24 Sep 2007 21:06:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:51:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.